
QGIS Application - Bug report #19508

Crash ID*: 542cf28ddd6f4b2f8896aee45b8184475691061d

2018-07-30 05:06 AM - Dimuthu Wickramasinghe

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 7 Enterprise 64Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27336

Description

User Feedback

Report Details

Crash ID: 542cf28ddd6f4b2f8896aee45b8184475691061d

Stack Trace

QgsCoordinateTransform::transformBoundingBox :

QgsMapRendererJob::reprojectToLayerExtent :

QgsMapRendererJob::prepareJobs :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererSequentialJob::start :

QgsMapCanvas::startPreviewJob :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::projectProperties :

QgisApp::projectPropertiesProjections :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-07-30 10:52 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Steps that lead to the crash?

#2 - 2018-08-16 10:31 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
